package com.kingdee.eas.custom.dormitorysystem.otherbasicdata;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.TreeBase;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.custom.dormitorysystem.otherbasicdata.app.*;
import com.kingdee.eas.framework.ITreeBase;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class PersonDormitoryTypeTree extends TreeBase implements IPersonDormitoryTypeTree
{
    public PersonDormitoryTypeTree()
    {
        super();
        registerInterface(IPersonDormitoryTypeTree.class, this);
    }
    public PersonDormitoryTypeTree(Context ctx)
    {
        super(ctx);
        registerInterface(IPersonDormitoryTypeTree.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("7D36E5E7");
    }
    private PersonDormitoryTypeTreeController getController() throws BOSException
    {
        return (PersonDormitoryTypeTreeController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public PersonDormitoryTypeTreeInfo getPersonDormitoryTypeTreeInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getPersonDormitoryTypeTreeInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public PersonDormitoryTypeTreeInfo getPersonDormitoryTypeTreeInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getPersonDormitoryTypeTreeInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public PersonDormitoryTypeTreeInfo getPersonDormitoryTypeTreeInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getPersonDormitoryTypeTreeInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public PersonDormitoryTypeTreeCollection getPersonDormitoryTypeTreeCollection() throws BOSException
    {
        try {
            return getController().getPersonDormitoryTypeTreeCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public PersonDormitoryTypeTreeCollection getPersonDormitoryTypeTreeCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getPersonDormitoryTypeTreeCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public PersonDormitoryTypeTreeCollection getPersonDormitoryTypeTreeCollection(String oql) throws BOSException
    {
        try {
            return getController().getPersonDormitoryTypeTreeCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}